> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update linked target

> Update a linked target



## OpenAPI

````yaml patch /v2/{env_id}/{flow_id}/{tenant}/linkedTargets
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedTargets:
    patch:
      summary: Update linked target
      description: Update a linked target
      operationId: linked-targets-update
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                target_id:
                  type: string
                  description: ID of the target to link
                config:
                  type: object
                  description: Configuration for the target
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````